#
# spec file for package gap-patternclass
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-patternclass
Version:        2.4.5
Release:        1.2
Summary:        GAP: Permutation pattern class
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/PatternClass/
#Git-Clone:     https://github.com/gap-packages/PatternClass
Source:         https://github.com/gap-packages/PatternClass/releases/download/v%version/PatternClass-%version.tar.gz
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-automata >= 1.13
Requires:       gap-core >= 4.8
Requires:       gap-gapdoc >= 1.5

%description
The PatternClass package is built on the idea of token passing
networks building permutation pattern classes. Those classes are best
determined by their basis. Both sets can be encoded by rank encoding
their permutations. Each, the class and its basis, in their encoded
form build a rational language. Rational languages can be computed by
using automata, which also can be build directly from the token
passing networks. Both ways will build the same language, i.e. the
same automaton.

%prep
%autosetup -n PatternClass-v%version

%build

%install
rm -Rf scripts
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files

%changelog
* Tue Sep  3 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.4.5
  * No changelog was provided
* Wed Aug 28 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.4.4
  * No changelog was provided
* Sun Feb 12 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.4.3
  * No changelog
* Thu Nov 15 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2.4.2
  * No changelog was provided
* Tue Oct  3 2017 jengelh@inai.de
- Initial package (version 2.4.1) for build.opensuse.org
